Bug 1160636 - lasso / mod_auth_mellon Microsoft ADFS interoperability patches.
Summary: lasso / mod_auth_mellon Microsoft ADFS interoperability patches.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lasso
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Simo Sorce
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks: 1075802 1160803
TreeView+ depends on / blocked
 
Reported: 2014-11-05 09:52 UTC by Jarek Polok
Modified: 2019-07-11 08:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users of the lasso packages could previously experience several problems related to Red Hat Enterprise Linux interoperability with Microsoft Active Directory Federation Services (ADFS). Authentication against ADFS failed when using the mod_auth_mellon module. In addition, in Apache sessions, the limit for the number of elements was insufficient and multi-value variables were not supported. Also, the MellonCond parameter did not work when used together with the MellonSetEnv(NoPrefix) parameter. This update fixes the above described problems with ADFS interoperability. (BZ#1160636, BZ#1167796)
Clone Of:
: 1160803 (view as bug list)
Environment:
Last Closed: 2015-07-22 05:45:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1253 normal SHIPPED_LIVE lasso bug fix update 2015-07-20 17:50:05 UTC

Description Jarek Polok 2014-11-05 09:52:49 UTC
Current lasso release (2.4.0 on 6.6 and 2.4.1(?) on upcoming 7.1) needs xml xsd:choices patches for Microsoft ADFS interoperability. Without these attempts to authenticate using mod_auth_mellon against our ADFS setup result in "Error processing authn response. Lasso error: [-427] When looking for an assertion we did not found it., referer [...]"

Patches from upstream lasso git:

http://repos.entrouvert.org/lasso.git/commit/?id=4ad4b673940ef72de1a62d7589cd0d86290086b1

http://repos.entrouvert.org/lasso.git/commit/?id=a27d1686b387a045607b5f0802001ea8863342cb

(Above patches are to be included in upcoming lasso 2.4.2 release.)

Patches apply cleanly to current lasso 2.4.0 and and fix 'assertion not found' problem.

Please consider including in next lasso update,

Thanks !

Jarek

Comment 2 Simo Sorce 2014-11-05 16:22:07 UTC
Thank you for reporting this issue.

Comment 9 errata-xmlrpc 2015-07-22 05:45:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1253.html


Note You need to log in before you can comment on or make changes to this bug.